hr = 1.2
wr = 0.7

#axes
P = line( [(-wr,0),(wr,0)], thickness=1)
P += line( [(0,-hr*1.05),(0,hr*1.05)], thickness=1)

#width
P += arrow((0,-hr*0.4), (1/2,-hr*0.4), head=2)
P += text( '$1/2$', (1/4,-hr*0.4), vertical_alignment='bottom', fontsize=20)

#poles
P += circle( (1/4,0),0.1/3, thickness=2, fill=True, facecolor='white')
P += text( '$1/4$', (1/4,0.1*hr), fontsize=20)
P += circle( (-1/4,0),0.1/3, thickness=2, fill=True, facecolor='white')
P += text( '$-1/4$', (-1/4,0.1*hr), fontsize=20)

#path
P += line( [(1/2,-hr),(1/2,hr)], thickness=4, color='red')
P += line( [(-1/2,-hr),(-1/2,hr)], thickness=4, color='red')
P += line( [(-1/2,hr),(1/2,hr)], thickness=4, linestyle='--', color='red')
P += line( [(-1/2,-hr),(1/2,-hr)], thickness=4, linestyle='--', color='red')
P += arrow((1/2,hr/3), (1/2,hr/3*1.01), color='red', arrowsize=8)
P += arrow((-1/2,-hr/3), (-1/2,-hr/3*1.01), color='red', arrowsize=8)
P += arrow((hr*0.03,hr), (hr*0.02,hr), color='red', arrowsize=8)
P += arrow((-hr*0.01,-hr), (-hr*0.0,-hr), color='red', arrowsize=8)



#arrows
P += arrow((1/4,hr), (1/4,hr*1.2))
P += arrow((-1/4,hr), (-1/4,hr*1.2))
P += text( r'$\infty$', (0,hr*1.15), fontsize=20)
P += text( r'$-\infty$', (0,-hr*1.15), fontsize=20)
P += arrow((1/4,-hr), (1/4,-hr*1.2))
P += arrow((-1/4,-hr), (-1/4,-hr*1.2))

P.set_aspect_ratio(1)
P.axes(False)
P.fontsize(35)

P.save('./borri.png')
P.save('../images/doma.png')
 
 